class RiderNotificationRequest {
  String? token;
  NotificationRider? notification;
  RiderNotificationRequest({this.token, this.notification});
  RiderNotificationRequest.fromJson(Map<String, dynamic> json) {
    token = json['token'];
    notification = json['notification'] != null
        ? new NotificationRider.fromJson(json['notification'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['token'] = this.token;
    if (this.notification != null) {
      data['notification'] = this.notification!.toJson();
    }
    return data;
  }
}
class NotificationRider {
  String? title;
  String? body;
  String? sound;
  String? image;
  NotificationRider({this.title, this.body, this.sound, this.image});
  NotificationRider.fromJson(Map<String, dynamic> json) {
    title = json['title'];
    body = json['body'];
    sound = json['sound'];
    image = json['image'];
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['title'] = this.title;
    data['body'] = this.body;
    data['sound'] = this.sound;
    data['image'] = this.image;
    return data;
  }
}